var _ap = require('./internal/_ap');
var _curry2 = require('./internal/_curry2');


/**
 * ap applies a list of functions to a list of values.
 *
 * @func
 * @memberOf R
 * @category Function
 * @sig [f] -> [a] -> [f a]
 * @param {Array} fns An array of functions
 * @param {Array} vs An array of values
 * @return {Array} An array of results of applying each of `fns` to all of `vs` in turn.
 * @example
 *
 *      R.ap([R.multiply(2), R.add(3)], [1,2,3]); //=> [2, 4, 6, 4, 5, 6]
 */
module.exports = _curry2(_ap);
